# Build engine tests and tools? (Please notice that what
# actually gets built it also affected by other options)
DM_BUILD_TESTS=yes
DM_BUILD_TOOLS=yes

# Include built-in setup menu image, font and bar bitmaps
DM_BUILT_IN_SETUP=no

# Build with additional error messages
DM_DEBUG=yes

# Use zlib? If you say "no", zlib will be only used for
# tools that need it, resource library decompression
# will use internal dmzlib module.
DM_USE_ZLIB=no

# Use libpng? Required for PNG read/write support in some tools.
# NOTICE!!!! _NOT_ required for simple PNG read support via dmimage,
# that is implemented via modified stb_image.c's PNG loader.
DM_USE_LIBPNG=yes

# Timeline support? (required for editor and complex demos)
DM_USE_TIMELINE=yes

# Build Qt based demo editor?
DM_BUILD_EDITOR=yes

# Build with runtime asserts?
DM_USE_ASSERTS=yes

# Include plain C routines?
DM_USE_C=yes

# Include/use MMX/SSE SIMD assembler routines?
DM_USE_SIMD=yes


DM_USE_PACKFS=yes
DM_USE_STDIO=yes
DM_USE_MEMIO=yes


DM_GFX_BM_TEXT=yes
DM_GFX_TTF_TEXT=yes
DM_GFX_LINES=yes
DM_GFX_BLITS=yes


###
### Tremor Ogg Vorbis decoder
###
DM_USE_TREMOR=yes


###
### General build options for miniJSS
###
JSS=yes

# Build a special "light"/minimized version by removing all
# error messages and few other things. (disabled by DM_DEBUG=yes)
JSS_LIGHT=no

# Build with extra debugging code? (disabled by JSS_LIGHT=yes)
JSS_DEBUG=no


### Support loading of XM-format module files
JSS_SUP_XM=yes


### Generic support of JSSMOD-format modules
JSS_SUP_JSSMOD=yes

# Enable support for different pattern storage modes
# in the JSSMOD _loader_. Saving in xm2jss is not affected.
JSSMOD_FLAGS = -DJM_SUP_PATMODE_ALL

# If SUP_PATMODE_ALL is not defined, then you can enable modes individually
# by uncommenting lines below. Refer to 'xm2jss --help' for mode information.
#JSSMOD_FLAGS += -DJM_SUP_PATMODE_1
#JSSMOD_FLAGS += -DJM_SUP_PATMODE_2
#JSSMOD_FLAGS += -DJM_SUP_PATMODE_3
#JSSMOD_FLAGS += -DJM_SUP_PATMODE_4
#JSSMOD_FLAGS += -DJM_SUP_PATMODE_5
#JSSMOD_FLAGS += -DJM_SUP_PATMODE_6

# Enable ext. instrument, instrument header and sampledata loading:
# (if you disable these, you better know what you are doing.)
JSSMOD_FLAGS += -DJM_SUP_EXT_INSTR
JSSMOD_FLAGS += -DJM_SUP_INSTR
JSSMOD_FLAGS += -DJM_SUP_SAMPLES


###
### Locking/thread support
###
JSS_SUP_THREADS=yes

